umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::ModelType Namespace Reference

## Enumerations
enum | Enum { Logical , UseCase , Component , Deployment , EntityRelationship , N_MODELTYPES }

## Functions
QString | toString (Enum item)
Enum | fromString (const QString &item)
Enum | fromInt (int item)

## Detailed Description

The model type enum is used to identify the folder the diagrams belong to.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::ModelType::Enum

Enumerator
Logical |
UseCase |
Component |
Deployment |
EntityRelationship |
N_MODELTYPES |

## Function Documentation

## ◆ fromInt()

Enum Uml::ModelType::fromInt | ( | int | item | ) |

Convert an integer item into ModelType representation.

Parameters

  item | integer value to convert

Returns
  ModelType enum

## ◆ fromString()

Enum Uml::ModelType::fromString | ( | const QString & | item | ) |

Convert a string item into Model representation.

Parameters

  item | item to convert

Returns
  Model object

## ◆ toString()

QString Uml::ModelType::toString | ( | Enum | item | ) |

Convert ModelType item into QString representation.

Parameters

  item | item to convert

Returns
  QString representation of ModelType